Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.openid
Class OpenId

    java.lang.Object
      org.jboss.seam.security.openid.OpenId

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.security.openid.openid")
    @Install(precedence=0,
             classDependencies="org.openid4java.consumer.ConsumerManager")
    @Scope(value=SESSION)
    public class OpenId

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`OpenId()`

Method Summary
`protected String` | `authRequest(String userSuppliedString, String returnToUrl)`
`String` | `getId()`
`String` | `getValidatedId()`
`void` | `init()`
`boolean` | `isValid()`
`void` | `login()`
`boolean` | `loginImmediately()`
`void` | `logout()`
`String` | `returnToUrl()`
`void` | `setId(String id)`
`void` | `verify()`
`String` | `verifyResponse(javax.servlet.http.HttpServletRequest httpReq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenId

    public OpenId()

Method Detail

### init

    @Create
    public void init()
              throws org.openid4java.consumer.ConsumerException

  Throws:
    `org.openid4java.consumer.ConsumerException`

### getId

    public String getId()

### setId

    public void setId(String id)

### returnToUrl

    public String returnToUrl()

### login

    public void login()
               throws IOException

  Throws:
    `IOException`

### authRequest

    protected String authRequest(String userSuppliedString,
                                 String returnToUrl)
                          throws IOException

  Throws:
    `IOException`

### verify

    public void verify()

### loginImmediately

    public boolean loginImmediately()

### isValid

    public boolean isValid()

### getValidatedId

    public String getValidatedId()

### verifyResponse

    public String verifyResponse(javax.servlet.http.HttpServletRequest httpReq)

### logout

    public void logout()
                throws org.openid4java.consumer.ConsumerException

  Throws:
    `org.openid4java.consumer.ConsumerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.